diff a/src/hotspot/share/interpreter/templateInterpreterGenerator.cpp b/src/hotspot/share/interpreter/templateInterpreterGenerator.cpp
--- a/src/hotspot/share/interpreter/templateInterpreterGenerator.cpp
+++ b/src/hotspot/share/interpreter/templateInterpreterGenerator.cpp
@@ -169,10 +169,11 @@
     Interpreter::_throw_ArrayIndexOutOfBoundsException_entry = generate_ArrayIndexOutOfBounds_handler();
     Interpreter::_throw_ArrayStoreException_entry            = generate_klass_exception_handler("java/lang/ArrayStoreException");
     Interpreter::_throw_ArithmeticException_entry            = generate_exception_handler("java/lang/ArithmeticException", "/ by zero");
     Interpreter::_throw_ClassCastException_entry             = generate_ClassCastException_handler();
     Interpreter::_throw_NullPointerException_entry           = generate_exception_handler("java/lang/NullPointerException", nullptr);
+    Interpreter::_throw_NPE_UninitializedField_entry         = generate_exception_handler("java/lang/NullPointerException", "Uninitialized null-restricted field");
     Interpreter::_throw_StackOverflowError_entry             = generate_StackOverflowError_handler();
   }
 
   { CodeletMark cm(_masm, "preemption resume adapter");
     Interpreter::_cont_resume_interpreter_adapter = generate_cont_resume_interpreter_adapter();
